Read email client connection settings
curl --request GET \
--url https://app.wazobiamail.com/api/v1/mailboxes/{id}/connection \
--header 'X-API-Key: <api-key>'import requests
url = "https://app.wazobiamail.com/api/v1/mailboxes/{id}/connection"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://app.wazobiamail.com/api/v1/mailboxes/{id}/connection', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.wazobiamail.com/api/v1/mailboxes/{id}/connection",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.wazobiamail.com/api/v1/mailboxes/{id}/connection"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://app.wazobiamail.com/api/v1/mailboxes/{id}/connection")
.header("X-API-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.wazobiamail.com/api/v1/mailboxes/{id}/connection")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"success": true,
"message": "Done",
"data": "<unknown>"
}Mailboxes
Read email client connection settings
Returns the owned mailbox username and SMTP, IMAP and POP3 public hosts, ports, security and enabled state. Passwords are not included. Copy complete settings from the dashboard mailbox actions.
GET
/
mailboxes
/
{id}
/
connection
Read email client connection settings
curl --request GET \
--url https://app.wazobiamail.com/api/v1/mailboxes/{id}/connection \
--header 'X-API-Key: <api-key>'import requests
url = "https://app.wazobiamail.com/api/v1/mailboxes/{id}/connection"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://app.wazobiamail.com/api/v1/mailboxes/{id}/connection', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.wazobiamail.com/api/v1/mailboxes/{id}/connection",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.wazobiamail.com/api/v1/mailboxes/{id}/connection"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://app.wazobiamail.com/api/v1/mailboxes/{id}/connection")
.header("X-API-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.wazobiamail.com/api/v1/mailboxes/{id}/connection")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"success": true,
"message": "Done",
"data": "<unknown>"
}Authorizations
Dashboard API key created at https://app.wazobiamail.com/dashboard/smtp-api. Send operations also accept a narrower sending key created through POST /sending/api-keys; every other operation needs the dashboard key.
